#!/bin/bash

instmode=`cat /proc/cmdline | sed 's/.*instmode=\([^ ]*\).*/\1/'`
if [ $instmode == "NoRaid" ];then
    mkdir -p /mnt/boot/t
    cd /mnt/boot/t
    zcat /mnt/boot/initrd.img-2.6.32.41-Rocky4.2-x86_64 |cpio -di
    rm scripts/local-top/mdadm
    find . |cpio -H newc -o |gzip -9 > /mnt/boot/initrd.img-2.6.32.41-Rocky4.2-x86_64
    cd -
    rm -rf /mnt/boot/t
fi
